clear
 
use ISSP1998.dta, clear


/* VARIABLE DEFINITIONS */

codebook v3
tabulate v3, gen(m)

tab v217, gen(r)
sum v217 


rename r7 baptist 
rename r8 methodist 
rename r9 lutheran 
rename r10 presbytian  
rename r11 churchofirelandengland 
rename r12 congregational 
rename r13 episcopal 
rename r14 unitarians 
rename r15 protfreechurch 
rename r16 prototherclass 
rename r22 unitedchurch 
rename r23 freepresbytian 
rename r24 brethren 
rename r25 pentecostal 
rename r26 mormon 
rename r27 salvationarmy 
rename r28 seventhday 
rename r30 Hussites
rename r34 nodem 
rename r35 otherchritian 

/* protestant strict Calvinism r7+r10+r15+r22*/ 

gen congregational2 = congregational if m26!=1
codebook congregational2

gen protfreechurch2 = protfreechurch if m12!=1 & m31!=1
codebook protfreechurch2

gen prototherclass2 = prototherclass if m8==1
codebook prototherclass2
gen prot2 = prototherclass if m11==1
codebook prot2
gen prot3 = prototherclass if m26==1
codebook prot3
gen prot4 = prototherclass if m32==1
codebook prot4
replace prototherclass2 = 1 if prot2==1
replace prototherclass2 = 0 if prototherclass2 ==.
replace prototherclass2 = 1 if prot3==1
replace prototherclass2 = 0 if prototherclass2 ==.
replace prototherclass2 = 1 if prot4==1
replace prototherclass2 = 0 if prototherclass2 ==.
codebook prototherclass2

gen unitedchurch2 = unitedchurch if m25!=1
codebook unitedchurch2
codebook presbytian
codebook freepresbytian


gen strictcalvinism = r1 +r2 
gen protestantonly = presbytian + congregational2 + protfreechurch2 + prototherclass2 + unitedchurch2 + freepresbytian
replace strictcalvinism = . if strictcalvinism ==0replace strictcalvinism = 0 if protestantonly ==1
codebook strictcalvinism


/* Work ethic */ 

codebook v213
sum v213
replace v213 = 0 if v213 == .
rename v213 workinghours

generate workinghoursofworking = workinghours if workinghours>=1
codebook workinghoursofworking

gen positivehours = 0 
replace positivehours = 1 if workinghoursofworking!=.
codebook positivehours
codebook workinghours


/* Social ethic */ 

/* Religious practice index */ 

codebook v218
codebook v58
codebook v59
codebook v60
recode v60 1=7 2=6 3=5 4=4 5=3 6=2 7=1, gen(v60recode)
codebook v60recode
pca v58 v59 v60recode v218
predict religiouspracticeindex, score
codebook religiouspracticeindex


/* Trust institutions index */ 

codebook v23
recode v23 1=5 2=4 3=3 4=2 5=1, gen(v23recode)
codebook v23
codebook v20
recode v20 1=5 2=4 3=3 4=2 5=1, gen(v20recode)
pca v20recode v23recode
predict trustistitutionsindex, score
codebook trustistitutionsindex


/* Importance of family index */

sum v7 v8
gen importanceoffamily= v7-v8
codebook importanceoffamily

/* Independent variables */

tab v53, gen(rr)

gen congregational3  = rr11 if m26!=1
gen protfreechurch3 = rr13 if m12!=1 & m31!=1


gen prototherclass3 = rr14 if m8==1
codebook prototherclass3
gen prot22 = rr14 if m11==1
codebook prototherclass3
gen prot33 = rr14 if m26==1
codebook prototherclass3
gen prot44 = rr14 if m32==1
codebook prototherclass3
replace prototherclass3 = 1 if prot22==1
replace prototherclass3 = 0 if prototherclass3 ==.
replace prototherclass3 = 1 if prot33==1
replace prototherclass3 = 0 if prototherclass3 ==.
replace prototherclass3 = 1 if prot44==1
replace prototherclass3 = 0 if prototherclass3 ==.
codebook prototherclass3

gen unitedchurch3 = rr20 if m25!=1

gen protestantraisedstrictcalvinism = rr9+congregational3+protfreechurch3+prototherclass3+unitedchurch3+rr21

gen religionraisedstrictcalvinism = rr1+ protestantraisedstrictcalvinism +rr2

replace religionraisedstrictcalvinism = . if religionraisedstrictcalvinism ==0replace religionraisedstrictcalvinism = 0 if protestantraisedstrictcalvinism ==1
codebook religionraisedstrictcalvinism


/* Faith index */ 

codebook v39
recode v39 1=4 2=3 3=2 4=1, gen(v39recode)

codebook v40 
recode v40 1=4 2=3 3=2 4=1, gen(v40recode)

codebook v41
recode v41 1=4 2=3 3=2 4=1, gen(v41recode)

codebook v39recode
drop if v39recode==.
codebook v40recode
drop if v40recode==.
codebook v41recode
drop if v41recode==.


pca v39recode v40recode v41recode 
predict faithindex, score
sum faithindex
codebook faithindex


/* Upbringing and education */

sum v57 v205
codebook v57
codebook v205

/* Control variables */ 
sum v200 v201 v202 
rename v200 gender
rename v201 age

codebook age
gen age2 = age^2
codebook age2

codebook v202
drop if v202==.
tabulate v202, gen(status)
sum status3
codebook status3
sum status4
codebook status4 
gen divorcedandseperated = status3 + status4
rename status2 widowed 
rename status5 single  

rename v57 religiousupbringing

codebook religiousupbringing
replace religiousupbringing = 1 if religiousupbringing==.


rename v205 education
codebook education


codebook gender
gen sex = 0 
replace sex = 1 if gender==2

rename m1 Australia
rename m2 WestGermany 	
rename m3 EastGermany 
gen Germany = WestGermany + EastGermany	
rename m4 GB 	
rename m5 NI
rename m6 USA	
rename m7 Austria 	
rename m8 Hungry 	
rename m9 Italy 	
rename m10 Ireland 	
rename m11 Netherlands 	
rename m12 Norway 	
rename m13 Sweden
rename m14 Czech 
rename m15 Solvenia 	
rename m16 Poland 
rename m18 Russia
rename m19 NewZealand
rename m21 Philippines
rename m22 Isreal
rename m23 Japan
rename m24 Spain 
rename m25 Latvia 
rename m26 Solvakia
rename m27 France	
rename m28 Cyprus
rename m29 Portugal 
rename m30 Chile	
rename m31 Denmark
rename m32 Switzerland 	


egen Religiouspracticeindex = std(religiouspracticeindex) if strictcalvinism!=.
sum Religiouspracticeindex

egen Trustistitutionsindex = std(trustistitutionsindex) if strictcalvinism!=.
sum Trustistitutionsindex


egen Faithindex = std(faithindex) if strictcalvinism!=.
codebook Faithindex


egen Age = std(age) if strictcalvinism!=.
codebook Age
drop if Age==.
egen Age2 = std(age2) if strictcalvinism!=.
codebook Age2


egen Religiousupbringing = std(religiousupbringing) if strictcalvinism!=.
codebook Religiousupbringing
sum Religiousupbringing


egen Education = std(education) if strictcalvinism!=.
codebook Education 
sum Education
drop if Education==.

/* Interaction terms */

gen catholicfaith = strictcalvinism * Faithindex

gen catholicRupbring = religionraisedstrictcalvinism * Religiousupbringing

gen catholicEducation = strictcalvinism * Education




/* REGRESSION ANALYSIS */


/* Regression analysis for panels (a) */ 

/* Model 6 */ 

probit positivehours strictcalvinism Faithindex Religiousupbringing Education catholicfaith catholicRupbring catholicEducation sex Age Age2 widowed divorcedandseperated single Australia Germany GB NI USA Austria Hungry Italy Ireland Netherlands Norway Sweden Czech Solvenia Poland  Russia NewZealand  Philippines Isreal Japan Spain Latvia Solvakia France Cyprus Portugal Chile Denmark Switzerland if strictcalvinism !=.,robust
outreg2 using resultspositivehours, tdec(2) replace
predict model1
sum model1 if strictcalvinism == 1
sum model1 if strictcalvinism == 0
sdtest model1, by (strictcalvinism)
robvar model1, by (strictcalvinism)

/* Model 7 */ 

reg workinghoursofworking strictcalvinism Faithindex Religiousupbringing Education catholicfaith catholicRupbring catholicEducation sex Age Age2 widowed divorcedandseperated single Australia Germany GB NI USA Austria Hungry Italy Ireland Netherlands Norway Sweden Czech Solvenia Poland  Russia NewZealand  Philippines Isreal Japan Spain Latvia Solvakia France Cyprus Portugal Chile Denmark Switzerland if strictcalvinism !=.,robust
outreg2 using resultsworkinghours, tdec(2) append
predict model2, residuals
sdtest model2, by (strictcalvinism)
robvar model2, by (strictcalvinism)

/* Model 8 */ 

reg Religiouspracticeindex strictcalvinism Faithindex Religiousupbringing Education catholicfaith catholicRupbring catholicEducation sex Age Age2 widowed divorcedandseperated single Australia Germany GB NI USA Austria Hungry Italy Ireland Netherlands Norway Sweden Czech Solvenia Poland  Russia NewZealand  Philippines Isreal Japan Spain Latvia Solvakia France Cyprus Portugal Chile Denmark Switzerland if strictcalvinism !=.,robust
outreg2 using resultsreligiousindex, tdec(2) append
predict model4, residuals
sdtest model4, by (strictcalvinism)
robvar model4, by (strictcalvinism)

/* Model 9 */ 

reg Trustistitutionsindex strictcalvinism Faithindex Religiousupbringing Education catholicfaith catholicRupbring catholicEducation sex Age Age2 widowed divorcedandseperated single Australia Germany GB NI USA Austria Hungry Italy Ireland Netherlands Norway Sweden Czech Solvenia Poland  Russia NewZealand  Philippines Isreal Japan Spain Latvia Solvakia France Cyprus Portugal Chile Denmark Switzerland if strictcalvinism !=.,robust
outreg2 using resultstrustindex, tdec(2) append
predict model5, residuals
sdtest model5, by (strictcalvinism)
robvar model5, by (strictcalvinism)

/* Model 10 */ 

oprobit importanceoffamily strictcalvinism Faithindex Religiousupbringing Education catholicfaith catholicRupbring catholicEducation sex Age Age2 widowed divorcedandseperated single Australia Germany GB NI USA Austria Hungry Italy Ireland Netherlands Norway Sweden Czech Solvenia Poland  Russia NewZealand  Philippines Isreal Japan Spain Latvia Solvakia France Cyprus Portugal Chile Denmark Switzerland if strictcalvinism !=.,robust
outreg2 using resultsfamilyindex, tdec(2) replace 
predict model6
sdtest model6, by (strictcalvinism)
robvar model6, by (strictcalvinism)


/* Differences between Protestant and Catholic for panels (b) */ 

probit positivehours strictcalvinism sex age age2 widowed divorcedandseperated single Australia Germany GB NI USA Austria Hungry Italy Ireland Netherlands Norway Sweden Czech Solvenia Poland  Russia NewZealand  Philippines Isreal Japan Spain Latvia Solvakia France Cyprus Portugal Chile Denmark Switzerland if strictcalvinism!=., robust 
outreg2 using resultstable, tdec(2) append

reg workinghoursofworking strictcalvinism sex age age2 widowed divorcedandseperated single Australia Germany GB NI USA Austria Hungry Italy Ireland Netherlands Norway Sweden Czech Solvenia Poland  Russia NewZealand  Philippines Isreal Japan Spain Latvia Solvakia France Cyprus Portugal Chile Denmark Switzerland if strictcalvinism!=., robust 
outreg2 using resultstable, tdec(2) append

reg Religiouspracticeindex strictcalvinism sex age age2 widowed divorcedandseperated single Australia Germany GB NI USA Austria Hungry Italy Ireland Netherlands Norway Sweden Czech Solvenia Poland  Russia NewZealand  Philippines Isreal Japan Spain Latvia Solvakia France Cyprus Portugal Chile Denmark Switzerland if strictcalvinism!=., robust 
outreg2 using resultstable, tdec(2) append

reg Trustistitutionsindex strictcalvinism sex age age2 widowed divorcedandseperated single Australia Germany GB NI USA Austria Hungry Italy Ireland Netherlands Norway Sweden Czech Solvenia Poland  Russia NewZealand  Philippines Isreal Japan Spain Latvia Solvakia France Cyprus Portugal Chile Denmark Switzerland if strictcalvinism!=., robust 
outreg2 using resultstable, tdec(2) append

oprobit importanceoffamily strictcalvinism sex age age2 widowed divorcedandseperated single Australia Germany GB NI USA Austria Hungry Italy Ireland Netherlands Norway Sweden Czech Solvenia Poland  Russia NewZealand  Philippines Isreal Japan Spain Latvia Solvakia France Cyprus Portugal Chile Denmark Switzerland if strictcalvinism!=., robust 
outreg2 using resultstable, tdec(2) append


